ssreflect (2.3.0-1+ocaml1) unstable-ocaml; urgency=medium

  * Rebuild for transition ocaml-5.3.0

 -- Anonymous Builder <builder@example.org>  Wed, 15 Jan 2025 16:22:07 +0100

ssreflect (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 Dec 2024 12:14:08 +0100

ssreflect (2.2.0-2) unstable; urgency=medium

  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 10:09:08 +0200

ssreflect (2.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 25 Jan 2024 06:34:31 +0100

ssreflect (2.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1047035).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 17:25:16 +0100

ssreflect (1.17.0-1) unstable; urgency=medium

  * Fix d/watch.
  * Bump standards-version to 4.6.2.
  * New upstream release.
  * Update lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Jun 2023 22:14:07 +0200

ssreflect (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Rewrite the autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 05 Jul 2022 08:55:31 +0200

ssreflect (1.14.0-12) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:00:32 +0200

ssreflect (1.14.0-11) unstable; urgency=medium

  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 01 Jun 2022 15:24:05 +0200

ssreflect (1.14.0-10) unstable; urgency=medium

  * Re-upload to fix ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 May 2022 19:20:43 +0200

ssreflect (1.14.0-9) unstable; urgency=medium

  * Changed all Architecture: to any.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Apr 2022 13:54:05 +0200

ssreflect (1.14.0-8) unstable; urgency=medium

  * Change b-dep from obsolete lua5.1 to lua5.4.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 23 Mar 2022 16:44:59 +0100

ssreflect (1.14.0-7) unstable; urgency=medium

  * Better fix for Breaks+Replaces (Closes: #1005852).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 16 Feb 2022 22:19:18 +0100

ssreflect (1.14.0-6) unstable; urgency=medium

  * Fix Breaks+Replaces (Closes: #1005254).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 10 Feb 2022 11:24:49 +0100

ssreflect (1.14.0-5) unstable; urgency=medium

  * Fix libcoq-mathcomp's doc-base.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Feb 2022 18:14:01 +0100

ssreflect (1.14.0-4) unstable; urgency=medium

  * Split in binary packages following upstream.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Feb 2022 13:49:34 +0100

ssreflect (1.14.0-3) unstable; urgency=medium

  * Depend on the coq library under its new name.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Feb 2022 08:55:54 +0100

ssreflect (1.14.0-2) unstable; urgency=medium

  * Make the package auto-adapt to coq's layout.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 05 Feb 2022 09:55:07 +0100

ssreflect (1.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 24 Jan 2022 09:15:13 +0100

ssreflect (1.13.0-2) unstable; urgency=medium

  * Source-only upload to trigger rebuild. (Closes: #1003797)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 08:57:04 +0100

ssreflect (1.13.0-1) unstable; urgency=medium

  * Remove E.Tassi from uploaders (Closes: #995558).
  * Add myself as uploader.
  * New upstream release.
  * Bump standards-version to 4.6.0.
  * Update d/copyright to upstream (dropped javascript files).
  * Bump d/watch to version 4.
  * Complete the libssreflect-coq lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Nov 2021 17:25:47 +0100

ssreflect (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update test loadssreflect.
  * Standards-version 4.5.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 02 Jan 2021 15:39:29 +0100

ssreflect (1.11.0-2) unstable; urgency=medium

  * Recompile with OCaml 4.11.1 (Closes: #973721)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Nov 2020 07:25:54 +0100

ssreflect (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * Debhelper compatibility level 13:
    -drop override of dh_missing which is no longer needed
  * Set Rules-Requires-Root to no

 -- Ralf Treinen <treinen@debian.org>  Fri, 11 Sep 2020 08:32:09 +0200

ssreflect (1.10.0+dfsg-2) unstable; urgency=medium

  * Rebuild against coq 8.11.0
  * Standards-version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 06 Mar 2020 21:43:51 +0100

ssreflect (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * gbp.conf: update import filter
  * debian/rules: explicit targets to make: all, doc
  * debian/libssreflect-coq.docs: doc now built in mathcomp/_build_doc/htmldoc/
  * Add lintian-overrides for doc files whose filenames contain wildcards
  * Standards-Version 4.4.1 (no change)
  * Add build-dependency on lua

 -- Ralf Treinen <treinen@debian.org>  Thu, 05 Dec 2019 23:06:05 +0100

ssreflect (1.9.0+dfsg-2) unstable; urgency=medium

  * Recompile with OCaml 4.08.1

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Nov 2019 10:26:00 +0100

ssreflect (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    Repack upstream (remove docs/htmldoc/js/ and docs/javascripts/).
  * Build-depends: minimal coq version 8.7, according to opam file.
  * Standards-Version 4.4.0 (no change)
  * debian/libssreflect-coq.docs: ChangeLog => CHANGELOG.md

 -- Ralf Treinen <treinen@debian.org>  Tue, 20 Aug 2019 09:47:51 +0200

ssreflect (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version. This fixes a FTBFS with coq 8.9.0 (closes: #919461)
    Repack upstream (remove docs/htmldoc/js/)
  * Update debian/watch to github
  * Update Vcs-* to salsa
  * Standards-Version 4.3.0
    - https in format string of debian/copyright
  * d/rules: fix installation of htmldocs
  * Drop packages libssreflect-ocaml[-dev] as the plugin is now included in
    the coq package.
  * d/libssreflect-coq.docs: adjust pathnames of files
  * d/copyright: drop short paragraph at first occurrence of CeCILL-B
  * Build-depend on debhelper-compat (=12)
    - use dh_missing (instead of dh_install) with --fail-missing
  * No more compilation with ocaml:
    - dropped build-dependencies on ocaml stuff
    - dropped --with-ocaml flag to dh and usage of ocamlvars.mk
  * Updated short and long description. Thanks to Enrico Tassi.
  * Added an as-installed test, thanks again to Enrico Tassi.
  * Added myself as Uploader.

 -- Ralf Treinen <treinen@debian.org>  Sat, 16 Feb 2019 20:06:49 +0100

ssreflect (1.6.1-3) unstable; urgency=medium

  * Recompile with OCaml 4.05.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Oct 2017 10:43:03 +0200

ssreflect (1.6.1-2) unstable; urgency=medium

  * Fix build-arch target

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 30 Dec 2016 11:39:11 +0100

ssreflect (1.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 27 Dec 2016 16:10:53 +0000

ssreflect (1.6-1) unstable; urgency=medium

  * Adding myself as co-maintainer.
  * Update upstream version to 1.6

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 30 Aug 2016 16:02:06 +0200

ssreflect (1.5-3) unstable; urgency=medium

  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 11:42:57 +0200

ssreflect (1.5-2) unstable; urgency=medium

  * Recompile with coq 8.4pl4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 30 Jul 2014 10:21:09 +0200

ssreflect (1.5-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Mar 2014 13:25:52 +0100

ssreflect (1.5~rc1-3) unstable; urgency=medium

  * Recompile with coq 8.4pl3
  * Bump Standards-Version to 3.9.5 (no changes)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2014 08:53:40 +0100

ssreflect (1.5~rc1-2) unstable; urgency=low

  * Upload to unstable
  * Update Homepage

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Dec 2013 08:28:06 +0100

ssreflect (1.5~rc1-1) experimental; urgency=low

  * New upstream release
  * Update Vcs-*
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Aug 2013 22:11:00 +0200

ssreflect (1.4-2) unstable; urgency=low

  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 13:36:48 +0200

ssreflect (1.4-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Sep 2012 16:45:50 +0200

ssreflect (1.3pl4-1) unstable; urgency=low

  * New upstream release
  * Put debian/copyright in format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Jun 2012 09:35:40 +0200

ssreflect (1.3pl2-4) unstable; urgency=medium

  * Fix compilation with camlp5 6.05 and coq 8.3pl4

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Apr 2012 16:43:46 +0200

ssreflect (1.3pl2-3) unstable; urgency=low

  * Recompile with camlp5 6.04 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Mar 2012 08:29:13 +0100

ssreflect (1.3pl2-2) unstable; urgency=low

  * Rebuild with Coq 8.3pl3
    - cherry-pick patch from coq-contrib to fix FTBFS with Coq 8.3pl3

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Dec 2011 17:28:19 +0100

ssreflect (1.3pl2-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Nov 2011 07:16:04 +0100

ssreflect (1.3pl1-5) unstable; urgency=low

  * Recompile with OCaml 3.12.1 (no changes)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Nov 2011 06:30:00 +0100

ssreflect (1.3pl1-4) unstable; urgency=low

  * Build theories only when explicitly asked (fixes FTBFS on armel as
    a side-effect)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 24 Apr 2011 14:44:33 +0200

ssreflect (1.3pl1-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Apr 2011 13:59:00 +0200

ssreflect (1.3pl1-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 31 Mar 2011 10:52:00 +0200

ssreflect (1.3-1) experimental; urgency=low

  * New upstream release, compatible with Coq 8.3:
    - remove 0001-Build-as-a-plugin.patch
    - add 0001-Fix-tests-Make.patch
    - this version is under CeCILL-B only; update debian/copyright
      accordingly
  * Bump Standards-Version to 3.9.1 (no changes)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 15 Mar 2011 08:47:47 +0100

ssreflect (1.2+dfsg-7) unstable; urgency=low

  * Rebuild against camlp5 6.02.1
  * Bump versioned build-dependency to libcoq-ocaml-dev to ease camlp5
    transition

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Feb 2011 11:22:15 +0100

ssreflect (1.2+dfsg-6) unstable; urgency=low

  * Rebuild against OCaml 3.11.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Jul 2010 13:41:07 +0200

ssreflect (1.2+dfsg-5) unstable; urgency=low

  * Rebuild with Coq 8.2pl2
  * debian/control:
    - replace Conflicts by Breaks
    - bump Standards-Version to 3.9.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Jul 2010 15:19:10 +0200

ssreflect (1.2+dfsg-4) unstable; urgency=low

  * Rebuild with OCaml 3.11.2
  * Bump Standards-Version to 3.8.4 (no changes)
  * Update watch file

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Feb 2010 10:30:30 +0100

ssreflect (1.2+dfsg-3) unstable; urgency=low

  * debian/control:
    - add libssreflect-ocaml-dev binary package
    - put *ocaml* packages in ocaml section
    - libssreflect-ocaml enhances coq
  * Switch to dh-ocaml 0.9
  * Switch to format 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Dec 2009 17:30:57 +0100

ssreflect (1.2+dfsg-2) unstable; urgency=low

  * Use -R when invoking coq_makefile to avoid warnings and need of
    explicit exclusion of ssreflect path; set it to user-contrib/Ssreflect

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Sep 2009 19:18:26 +0200

ssreflect (1.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #508468)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2009 23:41:27 +0200
